#!/bin/bash 

#usage
function usage()
{
	echo "USAGE: pva-pp-postInstall [--nossl]" 1>&2
}


###################### Include common files #######################

. ${0/%pva-pp-*/pva-pp-functions.sh} || { echo "Failed to load hint functions"; exit -1;}

############################### Go  ##############################

echo "------------------------------------------------------------------------------------------------"
date "+%b %e %T PVA Power Panel postinstall configuration : start"

noSSL=

# parse options
eval set -- $* --
while true ; do
	case "$1" in
	    --help)		usage; exit 0 ;;
	    --nossl) 	noSSL="--nossl" ; shift ;;
	    --)		shift ; break ;;
	    *) 		shift ;;
	esac
done

postinstall $noSSL || abort $? "Power Panel postinstall configuration failed"

# create proxy sve
create_sve_proxy || abort $? "Failed to create Service Container"

date "+%b %e %T PVA Power Panel postinstall configuration : stop"
echo "------------------------------------------------------------------------------------------------"

exit 0

